Bug 143624 - Cannot click "Next" button on Google two-factor auth setup page
Summary: Cannot click "Next" button on Google two-factor auth setup page
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified iOS 8.2
: P2 Normal
Assignee: Jon Honeycutt
URL:
Keywords: InRadar, PlatformOnly
Depends on:
Blocks:
 
Reported: 2015-04-10 18:25 PDT by Jon Honeycutt
Modified: 2015-04-13 12:53 PDT (History)
1 user (show)

See Also:


Attachments
Patch (5.16 KB, patch)
2015-04-10 19:32 PDT, Jon Honeycutt
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Honeycutt 2015-04-10 18:25:27 PDT
When trying to enable two-factor authentication for a Google account on iOS, it is sometimes not possible to click the "Next" button to advance the process.

<rdar://problem/19175714>
Comment 1 Jon Honeycutt 2015-04-10 19:32:27 PDT
Created attachment 250557 [details]
Patch
Comment 2 David Kilzer (:ddkilzer) 2015-04-10 21:24:24 PDT
Comment on attachment 250557 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=250557&action=review

> Source/WebKit2/UIProcess/ios/WKContentViewInteraction.mm:2784
> +    default:

I think we should list all InputTypes here explicitly (instead of using 'default') so that new values will cause a build failure, and a will force a decision to be made by the patch author.
Comment 3 Darin Adler 2015-04-11 08:40:54 PDT
Comment on attachment 250557 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=250557&action=review

>> Source/WebKit2/UIProcess/ios/WKContentViewInteraction.mm:2784
>> +    default:
> 
> I think we should list all InputTypes here explicitly (instead of using 'default') so that new values will cause a build failure, and a will force a decision to be made by the patch author.

I agree. Then we can also stick an ASSERT_NOT_REACHED() after the switch (along with a second return false). Please make that change.
Comment 4 Jon Honeycutt 2015-04-13 12:53:09 PDT
Committed r182749: <http://trac.webkit.org/changeset/182749>